Download it now!
Bug 83251 - Master Document: Dialog disappears immediately when click on "Insert" icon
Summary: Master Document: Dialog disappears immediately when click on "Insert" icon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
PreBibisect
Hardware: All All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-29 15:07 UTC by Kevin Suo
Modified: 2014-09-10 19:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (168.08 KB, image/png)
2014-08-29 15:07 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-08-29 15:07:19 UTC
Created attachment 105434 [details]
screenshot

Steps to reproduce:
1. File -> New -> Master Document;
2. Click the "Insert" icon on left side panel.

--> The "Index/File/New Document" box disappears immediately when you release your mouse.

Expected: When you click the icon, the "Index/File/New Document" box shows up. It should keep showing untill you click your mouse again.

See screenshot for details.

LibreOffice 4.3.1.2, Windows 7 X86.
Comment 1 Joel Madero 2014-08-30 06:25:30 UTC
Bodhi 2.4.x (built on ubuntu 12.04)
LibreOffice 4.3.1.2 release

Confirmed

Also confirmed on bibisect earliest (so setting version to preBibisect).


Prioritizing:
New
Minor - might slow down professional quality work a bit.
Low - default seems appropriate, probably this was inherited from OOo
Comment 2 Commit Notification 2014-09-09 14:07:09 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a29ece90621b2fef9126a6e9a976561ce5d1b461

Resolves: fdo#83251 menu on master doc insert disappears



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-09-10 08:15:55 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d468b72a27f9c20cea1c3df186ac7eb267df9a5b&h=libreoffice-4-3

Resolves: fdo#83251 menu on master doc insert disappears


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Kevin Suo 2014-09-10 14:10:14 UTC
Thanks for the quick fix.

However, the same bug behaviour applies for the "Update" icon next to "Insert".
Does the patch also resolve this one, or should I file a new bug?
Comment 5 Caolán McNamara 2014-09-10 19:55:28 UTC
That's fixed too